View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000449Ecere SDKidepublic2010-07-26 02:412013-05-19 22:15
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000449: ide: new project: project filename loses extension
Descriptionsometimes the extension is lost and you get a file name "project" instead of "project.epj"
Steps To Reproduce- Project, New
- Select an existing directory containing a '.' in 'Location'
(e.g. E:\CourseWork\Chapter 1 - Getting Started\Lab1.3)
- Put a project name in 'Project Name' (e.g. HelloForm)
- Take out the project name component of the location
Additional InformationGetExtension is returning "3/HelloForm" as the extension.
Need to stop looking for '.' after a path separator (/ or \) has been encountered.

Code also currently checks for:

         if(!extension[0])
            ChangeExtension(filePath, ProjectExtension, filePath);

Projects should always be created with the epj extension so should take out the if.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000453closedredj ide: new project: updating of the path with the name and the dialog needs a few fixes 

-  Notes
(0000243)
jerome (administrator)
2010-07-26 02:46

We need to describe the steps to reproduce this.

Might have to do with opening the IDE from a file association.
I believe it usually happened with existing projects.

Could also be the way the New Project dialog is used?
(0000244)
redj (administrator)
2010-07-26 02:49

I think the New Project dialog is a bit of a mess in general with the updating of the Path and all that.
(0000378)
jerome (administrator)
2010-09-05 09:30

Added revision 32 to E:\root\sdk\ecere\src\com\String.ec
Added revision 25 to E:\root\sdk\ide\src\about.ec
Added revision 47 to E:\root\sdk\ide\src\dialogs\NewProjectDialog.ec
Added revision 54 to E:\root\sdk\ide\src\settings.ec
Added revision 55 to E:\root\sdk\ide\ide.epj
Added revision 21 to E:\root\sdk\ide\Makefile

- Issue History
Date Modified Username Field Change
2010-07-26 02:41 redj New Issue
2010-07-26 02:41 redj Relationship added child of 0000429
2010-07-26 02:46 jerome Note Added: 0000243
2010-07-26 02:49 redj Note Added: 0000244
2010-07-26 02:50 redj Relationship added related to 0000453
2010-07-26 19:34 thexa4 Fixed in Version => 0.44 draft 2
2010-09-05 09:06 jerome Status new => assigned
2010-09-05 09:06 jerome Assigned To => jerome
2010-09-05 09:15 jerome Steps to Reproduce Updated
2010-09-05 09:15 jerome Additional Information Updated
2010-09-05 09:30 jerome Status assigned => resolved
2010-09-05 09:30 jerome Resolution open => fixed
2010-09-05 09:30 jerome Note Added: 0000378
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:35 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker